Async
This API extracts information from the user’s KTP card image via OCR. This API initiates the OTP extraction process asynchronously and returns a transaction id for which status can be checked later.
API Description
POST https://services.vida.id/verify/v1/ktp/ocr
Headers
Authorization*
OAuth access token.
Get the token by calling the
Get Access Token API
Content-Type*
application/json
Format type of request body
Request Body
ktp_image*
String
Data URI scheme, Base64 encoded KTP image.
Supported image formats: JPG/JPEG.
Sample request json
API Response
OCR Request Successful
HTTP Status Code: 200
Get Transaction Status
To retrieve the details of an OCR API request, you can use the following API provided by the VIDA Identity API. The VIDA Identity API follows an asynchronous model, where you can obtain the transaction status and details through a separate API call after the request has been processed by the verifiers or processors within the VIDA system.
API Description
POST https://services.vida.id/verify/v1/transaction/{transaction_id}
Path Parameters
transaction_id*
String
Transaction ID that is produced on KTP OCR request.
Headers
Authorization*
OAuth access token.
Get the token by calling the
Get Access Token API
Content-Type*
application/json
Format type of request body
API Response
Transaction Status : COMPLETED
HTTP Status Code: 200
Transaction Status : ON Progress
HTTP Status Code: 200
Invalid KTP Image
Invalid image format due to below reasons:
The KTP object resolution is less than 300x400 pixels
The KTP object resolution is greater than 3000x4000 pixels
No text in the KTP image
Recommendation: Ensure to give KTP image input as the specific recommendation
HTTP Status Code: 400
Image File Size Error
Recommendation: ensure to give image file size less than 2 MB
HTTP Status Code: 400
Last updated
